Bug 891039 - plymouth-set-default-theme does not correctly set the selected theme
Summary: plymouth-set-default-theme does not correctly set the selected theme
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 23
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-01 07:54 UTC by Mattia M.
Modified: 2016-12-20 12:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:32:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Mattia M. 2013-01-01 07:54:16 UTC
Description of problem:
plymouth-set-default-theme doesn't change the theme used by plymouth during the boot-up process as expected; it changes correctly only the shut-down screen.
In my case, the theme "hot-dog" is always used during boot-up, independent from which one I have selected with the above command.

I cannot remember if "hot-dog" is the theme I chose the first time I launched plymouth-set-default-theme; if so, either of the following events could be occurring:
1) once you have changed the theme for the first time, plymouth-set-default-theme is unable to change it again correctly(as for the boot-up process only, as I said above);
2) plymouth-set-default-theme always sets "hot-dog" as the boot-up theme whenever you launch such command, independent from which theme you choose.

Even after removing "plymouth-theme-hot-dog", launching plymouth-set-default-theme does not produced the desired result (which makes me lean toward hypothesis #1). 



Version-Release number of selected component (if applicable):
0.8.8-5


How reproducible:
Always


Steps to Reproduce:

(According to hypotesis #1)

1. Install all Plymouth themes through "yum install plymouth-theme-*";
2. Select whichever theme you prefer, e.g. "hot-dog", through "plymouth-set-default-theme -R hot-dog";
3. Change the theme again to a different one, e.g. "spinfinity", through "plymouth-set-default-theme -R spinfinity";
3. Reboot.
  

Actual results:
Only the shut-down screen is changed according to your selection at point #3. During the boot-up process, the "hot-dog" theme (i.e. the one you had chosen at point #2) is always shown, independent form which theme you had chosen at point #3. 


Expected results:
The theme you have selected when launching plymouth-set-default-theme , i.e. "spinfinity", should be shown during both the boot-up and the shut-down process.


Additional info:

Comment 1 Mattia M. 2013-01-03 08:40:34 UTC
Curiously, only after re-creating the Grub2 configuration through "grub2-mkconfig -o /boot/grub2/grub.cfg", also the boot-up screen has started showing the theme I had selected.

Comment 2 Jorge 2013-01-23 18:30:50 UTC
Thank you. Exactly the same thing happened to me and I could not fix it. With your help I succeeded.

Comment 3 Kevin Kofler 2013-02-08 05:39:49 UTC
Normally you'd run (as root) /usr/libexec/plymouth/plymouth-update-initrd, but that is currently broken on F18, see bug #909039. So run the command it's supposed to run directly (also as root):
/sbin/new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --install $(uname -r)

Comment 4 Sam Varshavchik 2013-07-04 02:29:17 UTC
plymouth-set-default-theme appears to be broken in F19.

plymouth-set-default-theme --rebuild-initrd rebuilds /boot/initrd-<version>, which is not very helpful, since it's /boot/initramfs-<version> that needs to be rebuilt.

Comment 5 Neil Bird 2014-03-14 09:14:53 UTC
This (wrong ramdisk name) is still a bug in Fedora 20 (at least from the install ISO, not yet tested with full updates)

Comment 6 Jan Kurik 2015-07-15 14:54:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Dm3 K 2015-08-04 13:13:23 UTC
The script is also broken in Fedora 22. Wrong ramdisk name.

Comment 8 Sam Varshavchik 2015-11-14 14:00:45 UTC
The script is still broken in Fedora 23. This bug is over two years old. This is embarrassing.

Comment 9 Fedora End Of Life 2016-11-24 10:53:18 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2016-12-20 12:32:32 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.